Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.web.tag
Class DateTagSupport

    java.lang.Object
      |
      +--javax.servlet.jsp.tagext.TagSupport
            |
            +--com.bea.web.tag.AbstractInputTagSupport
                  |
                  +--com.bea.web.tag.DateTagSupport

public class DateTagSupport
extends AbstractInputTagSupport
implements java.io.Serializable

Provides the rendering logic for an HTML form field that accepts date values only. In addition, each instance of this class uses an instance of `com.bea.web.validation.DateWord` to perform runtime validation of the value for this field. This class places an DateWord instance in application scope, i.e. accessible via the ServletContext object. The ServletContext is shared by all servlets in a Web application. Consequently, the controller servlet can access the DateWord to validate user input passed in the HTTP request for this form field.

Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Constructor Summary
`DateTagSupport()` Default constructor, all subclasses of `javax.servlet.jsp.tagext.TagSupport` are required to only define a public constructor with the same signature, and to call the superclass constructor.

Method Summary
`int` | `doStartTag()` Prints the tag to the JSP writer.
`void` | `release()` Resets the internal state of this instance.
`void` | `setFormat(java.lang.String strFormat)`
`void` | `setLenient(boolean bIsLenient)`

Methods inherited from class com.bea.web.tag.AbstractInputTagSupport
`getAttrs, getDefault, getMaxlength, getName, getSize, isRequired, printError, setAttrs, setDefault, setMaxlength, setName, setRequired, setSize`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, doEndTag, findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DateTagSupport

    public DateTagSupport()

  Default constructor, all subclasses of `javax.servlet.jsp.tagext.TagSupport` are required to only define a public constructor with the same signature, and to call the superclass constructor.

Method Detail

### setLenient

    public final void setLenient(boolean bIsLenient)

### setFormat

    public final void setFormat(java.lang.String strFormat)

### doStartTag

    public int doStartTag()

  Prints the tag to the JSP writer.

  Returns:
    `javax.servlet.jsp.tagext.Tag.SKIP_BODY` to indicate to the tag handler to skip body evaluation.
  Overrides:
    doStartTag in class javax.servlet.jsp.tagext.TagSupport

### release

    public void release()

  Resets the internal state of this instance. This is called after this tag has rendered itself in the `doStartTag` method. This is needed because the tag handler will reuse this instance for every int tag on the page.

  Overrides:
    release in class AbstractInputTagSupport

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)